Loading...
Searching...
No Matches
ResampleBase Class Reference
Components » Resamplers | Core » Component Base Classes

`#include <elxResamplerBase.h>`

## Detailed Description

This class is the elastix base class for all Resamplers.

This class contains all the common functionality for Resamplers.

The parameters used in this class are:

Parameters
  WriteResultImage: flag to determine if the final result image is resampled and written. Choose from {"true", "false"}
  example: (WriteResultImage "false")
  The default is "true".

Note
  When WriteResultImage is false, the executable will not write a result image, and the elastix library interface produces an empty image.

Parameters

  WriteResultImageAfterEachResolution: flag to determine if the intermediate result image is resampled and written after each resolution. Choose from {"true", "false"}
  example: (WriteResultImageAfterEachResolution "true" "false" "true")
  The default is "false" for each resolution.

  WriteResultImageAfterEachIteration: flag to determine if the intermediate result image is resampled and written after each iteration. Choose from {"true", "false"}
  example: (WriteResultImageAfterEachIteration "true" "false" "true")
  The default is "false" for each iteration.
  Note that this option is only useful for debugging / tuning purposes.

  ResultImageFormat: parameter to set the image file format to to which the resampled image is written to.
  example: (ResultImageFormat "mhd")
  The default is "mhd".

  ResultImagePixelType: parameter to set the pixel type, used for resampling the moving image. If this is different from the input pixel type you are casting your data. This is done using standard c-style casts, so TAKE CARE that you are not throwing away data (for example when going from unsigned to signed, or from float to char).
  Choose from (unsigned) char, (unsigned) short, float, double, etc.
  example: (ResultImagePixelType "unsigned short")
  The default is "short".

  CompressResultImage: parameter to set if (lossless) compression of the written image is desired.
  example: (CompressResultImage "true")
  The default is "false".

Generated on 1768596610 for elastix by 1.15.0 |